Package org.apache.felix.gogo.command

# Class Basic

java.lang.Object
org.apache.felix.gogo.command.Basic

public class Basic extends Object

## Constructor Summary

Constructors
Constructor
Description
`Basic(org.osgi.framework.BundleContext bc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`bundlelevel(boolean set, boolean initial, int level, org.osgi.framework.Bundle[] bundles)`
`void`
`bundlelevel(org.osgi.framework.Bundle bundle)`
`void`
`frameworklevel()`
`void`
`frameworklevel(int level)`
`void`
`headers(org.osgi.framework.Bundle[] bundles)`
`void`
`help()`
`void`
`help(String name)`
`void`
`install(String[] urls)`
`void`
`lb(boolean showLoc, boolean showSymbolic, boolean showUpdate)`
`void`
`lb(boolean showLoc, boolean showSymbolic, boolean showUpdate, String pattern)`
`void`
`log(int maxEntries, String logLevel)`
`void`
`log(String logLevel)`
`void`
`refresh(org.osgi.framework.Bundle[] bundles)`
`void`
`resolve(org.osgi.framework.Bundle[] bundles)`
`void`
`start(boolean trans, boolean policy, String[] ss)`
`void`
`stop(boolean trans, org.osgi.framework.Bundle[] bundles)`
`void`
`uninstall(org.osgi.framework.Bundle[] bundles)`
`void`
`update(org.osgi.framework.Bundle bundle)`
`void`
`update(org.osgi.framework.Bundle bundle, String location)`
`void`
`which(org.osgi.framework.Bundle bundle, String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Basic

public Basic(org.osgi.framework.BundleContext bc)

## Method Details

### bundlelevel

public void bundlelevel(org.osgi.framework.Bundle bundle)

### bundlelevel

public void bundlelevel(boolean set, boolean initial, int level, org.osgi.framework.Bundle[] bundles)

### frameworklevel

public void frameworklevel()

### frameworklevel

public void frameworklevel(int level)

### headers

public void headers(org.osgi.framework.Bundle[] bundles)

### help

public void help()

### help

public void help(String name)

### install

public void install(String[] urls)

### lb

public void lb(boolean showLoc, boolean showSymbolic, boolean showUpdate)

### lb

public void lb(boolean showLoc, boolean showSymbolic, boolean showUpdate, String pattern)

### log

public void log(String logLevel)

### log

public void log(int maxEntries, String logLevel)

### refresh

public void refresh(org.osgi.framework.Bundle[] bundles)

### resolve

public void resolve(org.osgi.framework.Bundle[] bundles)

### start

public void start(boolean trans, boolean policy, String[] ss)

### stop

public void stop(boolean trans, org.osgi.framework.Bundle[] bundles)

### uninstall

public void uninstall(org.osgi.framework.Bundle[] bundles)

### update

public void update(org.osgi.framework.Bundle bundle)

### update

public void update(org.osgi.framework.Bundle bundle, String location)

### which

public void which(org.osgi.framework.Bundle bundle, String className)